package com.dev.swms.server.service.base;

import java.util.List;
import java.util.Map;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.base.Line;

/**
 * 线路管理
 * @author 44700
 *
 */
@Transactional(readOnly = true)
public interface LineManager extends BaseManager{
	//添加线路
	@Transactional
	void saveLine(Line l);
				
	//删除线路
	@Transactional
	void deleteLine(List<Long> ids);
	
	//失效
	@Transactional
	void lineInvalid(List<Long> ids);
			
	//恢复
	@Transactional
	void linerestore(List<Long> ids);
	
	//线路维护（添加门店到线路）
	@Transactional
	void addLineStore(Long lid, List<Long> ids);
	
	//移除线路维护（移除门店到线路）
	@Transactional
	void deleteLineStore(Long lid, List<Long> ids);
	
	//修改顺序号
	@Transactional
	void updatesequenceNo(Long lid, Map stores);
	
	
}
